#ifndef PHYSICALPAGE_H
#define PHYSICALPAGE_H

#include "PageTable.h"

class PhysicalPage {
    public:
        unsigned int PPN, idx;
        std::vector<PTE> *PT;
        PhysicalPage *next, *prev;

        explicit PhysicalPage(unsigned int PPN);

        void take_up(std::vector<PTE> *PT, unsigned int idx);
};

#endif //PHYSICALPAGE_H
